-- require("prototypes.changes")
function set_recipe_item (recipe, item, amount)
  local ingredient ={type = "item"}
  ingredient.name = item
  ingredient.amount =  amount
  table.insert(data.raw.recipe[recipe].ingredients,ingredient) 
 end
 
function remove_science_pack(technology,pack)
for i, ingredient in pairs(data.raw.technology[technology].unit.ingredients) do
      if ingredient[1] == pack or ingredient.name == pack then
        table.remove(data.raw.technology[technology].unit.ingredients, i)
		--for some reasons we can't remove it directly, only by index
      end
    end
end

 function set_science_count(technology, count)
  data.raw.technology[technology].unit.count=count 
end





set_recipe_item("science-pack-2","science-pack-1",1)

set_recipe_item("science-pack-3","science-pack-1",2)
set_recipe_item("science-pack-3","science-pack-2",1)

--alien science is produced a x10 stack.
set_recipe_item("alien-science-pack","science-pack-1",4*10)
set_recipe_item("alien-science-pack","science-pack-2",2*10)
set_recipe_item("alien-science-pack","science-pack-3",1*10)


-- since fabber 3 is needed for science 3 --> removed blue science and balanced accordingly

-- hard calculated cost of blue science as green/red, based on increacost for green/red
-- blue science is raw: 25.5 iron(i) , 20 copper(c) 1 steel (5 i)  1 batt (1i 1c) direct, + 0.4i + 3 petrol raw, 2 plastic (3 petrol, 1 coal)
-- raw sum: 31.9 iron, 21 copper, 6 petrol, 1 coal  total 60 raw (59.9)
-- same number of red and blue:  red=  2 i, 1 c,  green = 7.5c, 2.5c, so blue+green = 9.5i, 3.5c = 13 raw
-- idea: 5 green, 5 blue instead of 1 5 * 13 = 65   (we round up.)
--> therefore: 100 science 3 = 500 red+500 green science (600/600 total)
-- instead we use 250 green/red, which is less (but all blue and purple stuff costs more than on normal.)
remove_science_pack("automation-3","science-pack-3")
set_science_count("automation-3",250)